<link href="https://fonts.googleapis.com/css2?family=Comfortaa:wght@700&family=Nunito:wght@900&display=swap" rel="stylesheet">
<link href="https://fonts.googleapis.com/css2?family=Rubik:wght@300&display=swap" rel="stylesheet">

<!-- <ion-header>
  <ion-toolbar>
    <ion-buttons class="ion-no-border" slot="start">
      <ion-back-button defaultHref="homepage"></ion-back-button>
    </ion-buttons>
    <ion-title>Message</ion-title>
  </ion-toolbar>
</ion-header> -->

<ion-content *ngFor="let recipes of recipe">
  <ion-header>
    <ion-toolbar>
      <ion-buttons class="ion-no-border" slot="start">
        <ion-back-button defaultHref="homepage"></ion-back-button>
      </ion-buttons>
      <ion-title>{{ recipes.name }}</ion-title>
    </ion-toolbar>
  </ion-header>

  <ion-card *ngFor="let ing of ingredients">
    <ion-card-header>
      <img width="100%" height="300px" src="{{recipes.image}}" alt="">
      <ion-card-subtitle>{{recipes.category}}</ion-card-subtitle>
      <ion-card-title>{{recipes.name}}</ion-card-title>
    </ion-card-header>
  
    <ion-card-content>
      {{recipes.description}}
    </ion-card-content>

    <ion-card-header>
      <ion-card-subtitle class="hed">Ingredients</ion-card-subtitle>
    </ion-card-header>

    
    <ion-card-content class="p">{{ing.ingrediets}}</ion-card-content>
    <div class="card-footer ion-padding">
    
      <ion-button fill="solid" expand="block">
        <ion-icon name="add" slot="icon-only"></ion-icon>
        <ion-label (click)="save(ing.recipe_id)">Add to your lists</ion-label>
      </ion-button>


    </div>


  
  </ion-card>
  <div class="card-footer ion-padding" *ngFor="let ing of ingredients">
    <h2>Watch the tutorial</h2>
    
    <iframe width="100%" height="300px" [src]="sanitize(ing.video)" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
    <br>
    <small>Credits: Panlasang Pinoy</small>
    <br>
    <small>Official Website: <a href="https://panlasangpinoy.com
      ">Panlasang Pinoy</a> </small>
    <!-- <ion-button fill="outline" expand="block">Watch the Procedure</ion-button> -->
  </div>

  

</ion-content>
